## planets 0.1.0

=== DESCRIPTION ===
Package: planets
Title: Simple and Accessible Data from all Known Planets
Version: 0.1.0
Authors@R: 
    person(given = "Alejandro",
           family = "Jiménez Rico",
           role = c("aut", "cre"),
           email = "aljrico@gmail.com")
Description: The goal of 'planets' is to provide of very simple and accessible data containing basic information from all known planets.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
NeedsCompilation: no
Packaged: 2019-08-06 11:29:40 UTC; alejandro
Author: Alejandro Jiménez Rico [aut, cre]
Maintainer: Alejandro Jiménez Rico <aljrico@gmail.com>
Repository: CRAN
Date/Publication: 2019-08-07 07:40:02 UTC
