=== debian/control ===
Source: planets
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 tk-dev,
 liblabltk-ocaml-dev,
 ocaml,
 camlp4
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/planets.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/planets
Homepage: https://ocaml.org/p/planets/latest

Package: planets
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Suggests: doc-base
Description: Gravitation simulation of planetary bodies
 Planets is a simple interactive program for playing with simulations
 of planetary systems. It is great for teaching gravitation on planet
 level.
 .
 The user interface is aimed at being simple enough for a fairly young
 kid to enjoy it, there is a special kid-mode for this purpose.
