=== debian/watch ===
version=4
http://planets.homedns.org/ dist/planets-([\d.]*)\.tgz
